from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XInitialization

@runtime_checkable
class XRangeBasedSmartTagRecognizer(XInitialization, Protocol):
    def recognizeTextRange(self, xRange: XTextRange, eDataType: SmartTagRecognizerMode, xTextMarkup: XTextMarkup, aApplicationName: str, xController: XController) -> None: ...
